GET YOUR_SUBDOMAIN.auth.marketingcloudapis.com/v2/discovery

Overview

Gets tenant-specific REST and authentication base URIs for the Marketing Cloud tenant associated with the provided username and client ID.

URL Parameters

Name Type Description
client_id string Required Client ID for the application requesting the tenant-specific URIs.
resource string Required Marketing Cloud username that you request base URIs for. Format must be 'acct: open-caret username close-caret', without spaces or quotation marks. Fill in the username.

Usage

Example Request

Host: https://YOUR_SUBDOMAIN.auth.marketingcloudapis.com
GET /v2/discovery?client_id=123456&resource=acct:username
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response

HTTP/1.1 200 OK
{
  "subject": "acct:username",
  "links": [{
    "rel": "auth_instance_url",
    "href": "https://mc563885gzs27c5t9-63k636ttgm.auth.marketingcloudapis.com"
    },
    {
    "rel": "rest_instance_url",
    "href": "https://mc563885gzs27c5t9-63k636ttgm.rest.marketingcloudapis.com"
    }]
}
Last Updated: Jun 8, 2021